Snapvisor Docs

Request reviewers on a build

Ask users to review a build. Each newly-requested reviewer is notified. Idempotent: users already requested are left untouched and not notified again. Users without access to the project are ignored, and you cannot request yourself. Use it when the user wants specific teammates to review a build.

POST
/projects/{owner}/{project}/builds/{buildNumber}/reviewers

Ask users to review a build. Each newly-requested reviewer is notified. Idempotent: users already requested are left untouched and not notified again. Users without access to the project are ignored, and you cannot request yourself. Use it when the user wants specific teammates to review a build.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
buildNumber*string

The build number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/string/builds/string/reviewers" \  -H "Content-Type: application/json" \  -d '{    "userIds": [      "string"    ]  }'
{  "reviewers": [    {      "id": "string",      "slug": "string",      "name": "string"    }  ]}